spring:
  application:
    name: task-service
  r2dbc:
    url: r2dbc:pool:postgresql://localhost:5556/task_db
    password: postgres
    username: postgres
  zipkin:
    base-url: http://localhost:9411
server:
  port: 8082
eureka:
  client:
    fetch-registry: true
    register-with-eureka: true
    serviceUrl:
      defaultZone: ${EUREKA_SERVER:http://localhost:8761/eureka}
  instance:
    preferIpAddress: true
springdoc:
  #  api-docs:
  #    path: /v3/api-docs
  swagger-ui:
    path: /swagger-ui-index.html